%define upstream_name    Dist-Zilla-Plugin-ReportVersions
%define upstream_version 1.110730

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Write a test that reports used module versions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  t/000-report-versions.t

The '000' prefix is chosen so it runs first to make sure it shows up in
CPAN tester reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.110.730-7.mga6
+ Revision: 1026566
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.730-6.mga6
+ Revision: 946986
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.730-5.mga5
+ Revision: 740806
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.730-3.mga4
+ Revision: 511135
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.730-2.mga3
+ Revision: 366404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 jquelin <jquelin> 1.110.730-1.mga1
+ Revision: 72326
- update to 1.110730

* Wed Jan 26 2011 jquelin <jquelin> 1.102.460-1.mga1
+ Revision: 40567
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ReportVersions

